Query Basic Information
Endpoint Information
Endpoint: GET /market/v1/tickers/{symbol}/info
Description: Query basic stock information, such as stock name, company name, company description, founder, listing date, total shares, industry category, and more
Authentication: Institution API Key + Signature (non-Maker API endpoint — X-Maker-Addr is not required). See Authorization
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| market | ENUM | Yes | Market code. See Market enum type description |
| language | ENUM | No | Multi-language support, defaults to English. See Language enum type description |
Response Parameters
| Field | Type | Description |
|---|---|---|
| name | STRING | Instrument name |
| symbol | STRING | Ticker symbol |
| about | STRING | Description |
| company_name | STRING | Project name |
| ceo | STRING | Founder |
| listing_date | STRING | Launch date (UTC) |
| total_shares | DECIMAL | Total supply |
| industry | STRING | Category |
| lot_size | DECIMAL | Board lot size |
| spread_table_code | STRING | Spread table code |
Request Example
bash
curl -X GET "{API_BASE_URL}/market/v1/tickers/AAPLs/info?market=usex" \
-H "X-API-Key: YOUR_API_KEY" \
-H "X-API-Timestamp: 1746774142000" \
-H "X-API-Signature: GENERATED_SIGNATURE"Response Example
json
{
"code": 0,
"data": {
"name": "Apple Inc.",
"symbol": "AAPLs",
"about": "Apple Inc. designs...",
"type": "C",
"is_etf": false,
"company_name": "Apple Inc.",
"ceo": "Timothy Donald Cook",
"listing_date": "1980-12-11T16:00:00Z",
"total_shares": 14687356000,
"industry": "Technology Hardware, Storage & Peripherals",
"lot_size": 1
}
}Error Example
json
{
"code": 500,
"message": "Internal Service Error",
"details": ""
}